import { EqContext, EqBroker, Widget } from '@easyquery/core'
import { DataFilterView } from '@easyquery/ui'
import { EqServerBroker } from '@easyquery/broker-eqs'
import { JQueryFilterBarWidget } from '../widgets/jquery_filter_bar_widget';


export class DataFilterViewJQuery extends DataFilterView {
    constructor() {
        super();
    }        

    protected createDefaultBroker(context: EqContext) : EqBroker {
        return new EqServerBroker(context);
    }

    protected createFilterBarWidget(placeholderElement : HTMLElement) : Widget {
        return new JQueryFilterBarWidget(placeholderElement);
    }
}
